//
//  Edge.java
//  LocalInteractions
//
//  Created by Jason on Fri Feb 20 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

public class Edge {
	public Agent one;
	public Agent two;
	double weight;
	boolean undirected;
	boolean weighted;
	
	public Edge(Agent a, Agent b) {
		one = a;
		two = b;
	}
	
	public Edge(Agent a, Agent b, boolean undirected) {
		one = a;
		two = b;
		weight = 0.0;
		this.undirected = undirected;
		this.weighted = false;
	}
	
	public Edge(Agent a, Agent b, double w, boolean undirected, boolean weighted) {
		one = a;
		two = b;
		weight = w;
		this.undirected = undirected;
		this.weighted = weighted;
	}
	
	public void setWeight(double d) {
		weight = d;
	}
	
	public double getWeight() {
		return weight;
	}
	
	public boolean isWeighted() {
		return weighted;
	}
	
	public boolean isUndirected() {
		return undirected;
	}
}
